:man_page: bson_character_and_string_routines

Character and String Routines
=============================

We provide a small number of character and string routines to substitute for those that are not available on all platforms, and routines to make UTF-8 character manipulation convenient.

.. only:: html

  Functions
  ---------

  .. toctree::
    :titlesonly:
    :maxdepth: 1

    bson_ascii_strtoll
    bson_isspace
    bson_snprintf
    bson_strcasecmp
    bson_strdup
    bson_strdup_printf
    bson_strdupv_printf
    bson_strfreev
    bson_strncpy
    bson_strndup
    bson_strnlen
    bson_uint32_to_string
    bson_utf8_escape_for_json
    bson_utf8_from_unichar
    bson_utf8_get_char
    bson_utf8_next_char
    bson_utf8_validate
    bson_vsnprintf
